Bug 1652531 - CV with repo having background download policy is importing and exporting
Summary: CV with repo having background download policy is importing and exporting
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Inter Satellite Sync
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.5.0
Assignee: Chris Roberts
QA Contact: Jitendra Yejare
URL:
Whiteboard:
Depends On:
Blocks: 1644596
TreeView+ depends on / blocked
 
Reported: 2018-11-22 10:21 UTC by Jitendra Yejare
Modified: 2019-05-14 12:39 UTC (History)
5 users (show)

Fixed In Version: tfm-rubygem-hammer_cli_katello-0.16.0.4-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:39:03 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github Katello hammer-cli-katello pull 618 None None None 2019-01-15 16:54:41 UTC
Foreman Issue Tracker 25861 None None None 2019-01-14 20:24:23 UTC
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:39:13 UTC

Description Jitendra Yejare 2018-11-22 10:21:43 UTC
Description of problem:
The Content View with repo having download policy as 'background' is importing and exporting, the expectation is it should not. It should notify the customer to change the download policy to immediate, resync and then try again.

Version-Release number of selected component (if applicable):
Satellite 6.5.0 snap 3

How reproducible:
Always

Steps to Reproduce:
1. Create Repo with background download policy
2. Create Cv and add the repo to CV.
3. Publish the CV
4. Attempt to export and import the CV

Actual results:
The importing and exporting of CV with repo having background download policy is working.

Expected results:
1. The importing and exporting of CV with repo having background download policy is not working.
2. It should notify the customer to change the download policy to immediate, resync and then try again.

Additional info:

Comment 4 Bryan Kearney 2019-01-15 09:06:59 UTC
Upstream bug assigned to chrobert@redhat.com

Comment 5 Bryan Kearney 2019-01-15 09:07:00 UTC
Upstream bug assigned to chrobert@redhat.com

Comment 6 Bryan Kearney 2019-01-15 09:07:48 UTC
Upstream bug assigned to chrobert@redhat.com

Comment 7 Bryan Kearney 2019-01-15 09:07:49 UTC
Upstream bug assigned to chrobert@redhat.com

Comment 8 Bryan Kearney 2019-01-15 09:08:54 UTC
Upstream bug assigned to chrobert@redhat.com

Comment 9 Bryan Kearney 2019-01-15 09:08:55 UTC
Upstream bug assigned to chrobert@redhat.com

Comment 10 Bryan Kearney 2019-01-15 09:09:51 UTC
Upstream bug assigned to chrobert@redhat.com

Comment 11 Bryan Kearney 2019-01-15 09:09:52 UTC
Upstream bug assigned to chrobert@redhat.com

Comment 12 Bryan Kearney 2019-01-15 09:10:49 UTC
Upstream bug assigned to chrobert@redhat.com

Comment 13 Bryan Kearney 2019-01-15 09:10:50 UTC
Upstream bug assigned to chrobert@redhat.com

Comment 14 Bryan Kearney 2019-01-15 09:11:57 UTC
Upstream bug assigned to chrobert@redhat.com

Comment 15 Bryan Kearney 2019-01-15 09:11:58 UTC
Upstream bug assigned to chrobert@redhat.com

Comment 16 Bryan Kearney 2019-01-15 09:12:51 UTC
Upstream bug assigned to chrobert@redhat.com

Comment 17 Bryan Kearney 2019-01-15 09:12:52 UTC
Upstream bug assigned to chrobert@redhat.com

Comment 19 Jitendra Yejare 2019-01-21 11:01:07 UTC
Verified!

@ Satellite 6.5 snap 12


Steps:
1. Create Repo with background download policy
2. Create Cv and add the repo to CV.
3. Publish the CV
4. Attempt to export and import the CV

Logs and behavior(as expected):

Export of CV having bg download policy fails with an error,

# hammer content-view version export --export-dir /var/lib/pulp/katello-export/ --id 406
Could not export the content view:
  Error: All exported repositories must be set to an immediate download policy and re-synced.
  The following repositories need action:
    cvexpo_bgpol_repo

As export failed and no tar is created, the import is not required to test.

Comment 22 errata-xmlrpc 2019-05-14 12:39:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.